Skip to main content

Update Resident Pet: Rentvine

PUThttps://api.propexo.com/v1/resident-pets/rentvine/:pet_id
InterfaceMethod
LeasesPOST /api/leases/{leaseID}/pets/{petID}

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

pet_id stringrequired

The Propexo unique identifier for the resident pet

Request​

This endpoint expects an object.

    is_service_animalboolean

    Whether the resident pet is a service animal

    age_in_yearsinteger

    The age in years of the resident pet

    Possible values: >= 0

    colorstring

    The color of the resident pet

    gender_rawstring

    The raw value for the gender of the resident pet

    is_fixedboolean

    Whether the resident pet is fixed

    namestring

    The name associated with the resident pet

    typestringrequired

    The type associated with the resident pet

    weight_in_poundsinteger

    The weight in pounds of the resident pet

    Possible values: >= 0

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    pet_idstringrequired

    The Propexo unique identifier for the resident pet

    is_service_animalboolean

    Whether the resident pet is a service animal

    age_in_yearsinteger

    The age in years of the resident pet

    Possible values: >= 0

    colorstring

    The color of the resident pet

    gender_rawstring

    The raw value for the gender of the resident pet

    is_fixedboolean

    Whether the resident pet is fixed

    namestring

    The name associated with the resident pet

    typestringrequired

    The type associated with the resident pet

    weight_in_poundsinteger

    The weight in pounds of the resident pet

    Possible values: >= 0

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/resident-pets/rentvine/:pet_id
curl -X PUT https://api.propexo.com/v1/resident-pets/rentvine/:pet_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"type": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"pet_id": "string",
"is_service_animal": true,
"age_in_years": 0,
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"name": "string",
"type": "string",
"weight_in_pounds": 0
}
}